"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const deleteObject_1 = require("./deleteObject");
const listBucketObjects_1 = require("./listBucketObjects");
function clearBucket(s3, // An initialised and configured S3 Lib
    bucketName) {
    return __awaiter(this, void 0, void 0, function* () {
        const contents = yield listBucketObjects_1.listBucketObjects(s3, bucketName);
        const deleteItems = contents && contents.Contents
            ? contents.Contents.map((item) => deleteObject_1.deleteObject(s3, bucketName, item.Key))
            : [];
        return Promise.all(deleteItems);
    });
}
exports.clearBucket = clearBucket;
