"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const klaw = require("klaw");
/**
 * This will walk a directory and return an array of all the contents.
 */
function walkDirectory(directoryPath) {
    return new Promise((resolve) => {
        const items = []; // files, directories, symlinks, etc
        klaw(directoryPath)
            .on('data', (item) => items.push(item.path))
            .on('end', () => resolve(items));
    });
}
exports.walkDirectory = walkDirectory;
